/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CAS_table.sql **/
 EXEC p_AlterColumn 'T_CAS_PAYMENTBILL', 'FEXCHANGERATE', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_CAS_AGENTPAYBILL', 'FEXCHANGERATE', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_CAS_RECEIVINGBILL', 'FEXCHANGERATE', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_CAS_EXCHANGEBILL', 'FBUYINGEXCHANGERATE', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_CAS_EXCHANGEBILL', 'FSELLINGEXCHANGERATE', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_CAS_EXCHANGEBILL', 'FCOMMISSIONEXCHANGERATE', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_CAS_PAYMENTBILL_E', 'FDPEXCHANGERATE', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_CAS_PAYMENTBILL_E', 'FAGREEDRATE', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_CAS_AGENTPAYBILL_E', 'FDPEXCHANGERATE', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

 EXEC p_AlterColumn 'T_CAS_AGENTPAYBILL_E', 'FAGREEDRATE', 'DECIMAL(23,10)', 'NOT NULL', '0100', '0';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAS_RECEIVINGBILLTYPE' AND KSQL_COL_NAME ='FBIZTYPE') 
 ALTER TABLE T_CAS_RECEIVINGBILLTYPE ADD (FBIZTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CAS_PAYMENTBILLTYPE' AND KSQL_COL_NAME ='FBIZTYPE') 
 ALTER TABLE T_CAS_PAYMENTBILLTYPE ADD (FBIZTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CAS_table.sql **/
